@echo off

REM ##### 初期設定 #####
set LOOP_NUM=12
set ROOT_PASSWORD=root

REM ##### 引数取得 #####
set TMP_DIR=%1
set SRC_DIR=%2
set BUILD_XML=%3
set JBOSS_HOME=%4

REM ##### 初期設定 #####
if NOT "%TMP_DIR:~-1%" == "\" (
	set TMP_DIR=%TMP_DIR%\
)
if NOT "%SRC_DIR:~-1%" == "\" (
	set SRC_DIR=%SRC_DIR%\
)

REM ##### インストール #####
copy /b /y %SRC_DIR%%BUILD_XML% %TMP_DIR%
cd %TMP_DIR%
call ant -DjbossHome=%JBOSS_HOME% -f %BUILD_XML%
